bump version to 5.0-33
[pve-common.git] / debian / changelog
index a7c2583..cc73a40 100644 (file)
@@ -1,3 +1,39 @@
+libpve-common-perl (5.0-33) unstable; urgency=medium
+
+  * only show subcommand specific usage if command incomplete
+
+  * filter out aliases when trying to expand command
+
+  * fix handling unknown commands
+
+  * add a generalized 'read and confirm password' sub
+
+  * improve bash completion
+
+  * fix getopt when invoking without arguments
+
+  * ensure errors from forked commands get returned correctly
+
+ -- Proxmox Support Team <support@proxmox.com>  Thu, 14 Jun 2018 09:15:41 +0200
+
+libpve-common-perl (5.0-32) unstable; urgency=medium
+
+  * fix #1766: compare task start time numerically
+
+  * add helper to dump API with resolved references
+
+ -- Proxmox Support Team <support@proxmox.com>  Tue, 29 May 2018 07:33:47 +0200
+
+libpve-common-perl (5.0-31) unstable; urgency=medium
+
+  * add ACME library and challenge plugins
+
+  * add Certificate helper
+
+  * untaint PVE::Tools::df() return values
+
+ -- Proxmox Support Team <support@proxmox.com>  Fri, 04 May 2018 12:39:02 +0200
+
 libpve-common-perl (5.0-30) unstable; urgency=medium
 
   * pty: fix read_password prototype